pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/42944: sysutils/bacula default pkgsrc build, doesn't... (NetBSD 4.0/i386)

>Number:         42944
>Category:       pkg
>Synopsis:       sysutils/bacula default pkgsrc build, doesn't...   (NetBSD 
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Mar 10 14:20:01 +0000 2010
>Originator:     Robert Elz
>Release:        NetBSD 4.0 / i386   (pkgsrc current 2010-03-10)
        Prince of Songkla University
System: NetBSD 4.0_STABLE NetBSD 4.0_STABLE 
(JADE-1.696-20080517) #9: Fri May 23 18:55:13 ICT 2008 i386
Architecture: i386
Machine: i386
        After the upgrade of sysutils/bacula from 3.0.3nb1 to 5.0.1
        it no longer builds by default from pkgsrc.

        That is, I have no PKG_OPTIONS set that could in any way
        affect bacula, and it looks like that is no longer acceptable.

        I use pkg_comp with libkver and NetBSD 4.0 sets (etc etc, I don't
        think any of that is relevant here).

        I haave nothing in mk.conf that I can imagine could affect bacula
        (I do have
                PKG_DEFAULT_OPTIONS= inet6 official-mozilla-branding
        and I suppose the "inet6" setting may have an impact, but whether
        it does or not, it does not seem relevant here).

        A build with no PKG_OPTIONS.* that could be related to bacula
        results in ...

===> Configuring for bacula-5.0.1
=> Modifying GNU configure scripts to avoid --recheck
=> Replacing config-guess with pkgsrc versions
=> Replacing config-sub with pkgsrc versions
=> Replacing install-sh with pkgsrc version
=> Fixing locale directory references.
INFO: [] Nothing changed in ./
        [ and many more similar]
=> Checking for portability problems in extracted files
configure: WARNING: unrecognized options: --with-sqlite
checking for true... /pkg_comp/obj/pkgsrc/sysutils/bacula/4x/.tools/bin/true
checking for false... /pkg_comp/obj/pkgsrc/sysutils/bacula/4x/.tools/bin/false
configuring for Bacula 5.0.1 (24 February 2010)
checking for i386--netbsdelf-gcc... cc
        [ and lots more, nothing looks remarkable]
configure: creating ./config.status
config.status: creating autoconf/Make.common
config.status: creating Makefile
        [ and many more created, until ... ]
config.status: creating src/config.h
config.status: executing libtool commands
rm: libtoolT: No such file or directory
config.status: executing default-1 commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
config.status: executing default commands
configure: WARNING: unrecognized options: --with-sqlite
Doing make of dependencies
==>Entering directory /pkg_comp/obj/pkgsrc/sysutils/bacula/4x/bacula-5.0.1/src

        [and more ...]
Cleaning up
==>Entering directory /pkg_comp/obj/pkgsrc/sysutils/bacula/4x/bacula-5.0.1/src

        [and more ...]
You have not specified either --enable-client-only or one of the
  supported databases: MySQL, PostgreSQL, Ingres, SQLite3 or DBI.
  This is not permitted. Please reconfigure.
Aborting the configuration ...
*** Error code 1

make: stopped in /usr/pkgsrc/sysutils/bacula
*** Error code 1

make: stopped in /usr/pkgsrc/sysutils/bacula
*** Error code 1

make: stopped in /usr/pkgsrc/sysutils/bacula

        Looks as if the correct way to pick the default database has
        changed in backua's configure script, but pkgsrc hasn't
        changed its default setting to match.   But that's a guess.

Home | Main Index | Thread Index | Old Index